Bug 454010 - Review Request: iaxclient - Library for creating telephony solutions that interoperate with Asterisk
Review Request: iaxclient - Library for creating telephony solutions that int...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On: 454008 460041
Blocks: 454022
  Show dependency treegraph
 
Reported: 2008-07-03 16:08 EDT by Tom "spot" Callaway
Modified: 2009-04-07 11:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.1-0.3.beta3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dakingun: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-07-03 16:08:17 EDT
Spec URL: http://auroralinux.org/people/spot/review/coccinella/iaxclient.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/iaxclient-2.1-0.1.beta3.fc10.src.rpm
Description: 
Iaxclient is an open source, multiplatform library for creating telephony
solutions that interoperate with Asterisk, the Open Source PBX.

Although asterisk supports other VOIP protocols (including SIP, and with
patches, H.323), IAX's simple, lightweight nature gives it several advantages,
particularly in that it can operate easily through NAT and packet firewalls,
and it is easily extensible and simple to understand.
Iaxclient pulls together the wide array of open source technologies required
for telephony applications.
Comment 1 Jeff Moe (jebba) 2008-08-24 21:33:43 EDT
rpmlint iaxclient-2.1-0.1.beta3.fc10.src.rpm 
iaxclient.src: W: strange-permission run-tkiaxphone.sh 0775

The .desktop Exec= files have absolute paths (e.g. /usr/bin/wxiax). This doesn't seem common, but is ok?

It needs libvidcap & libvidcap-devel, but I can't find that anywhere within Fedora (including bugzilla and your review web dirs).
Comment 2 Tom "spot" Callaway 2008-08-25 13:12:48 EDT
(In reply to comment #1)
> rpmlint iaxclient-2.1-0.1.beta3.fc10.src.rpm 
> iaxclient.src: W: strange-permission run-tkiaxphone.sh 0775
> 
> The .desktop Exec= files have absolute paths (e.g. /usr/bin/wxiax). This
> doesn't seem common, but is ok?

Should be fine.

> It needs libvidcap & libvidcap-devel, but I can't find that anywhere within
> Fedora (including bugzilla and your review web dirs).

Whoops. It is up for review now:

https://bugzilla.redhat.com/show_bug.cgi?id=460041
Comment 3 Tom "spot" Callaway 2008-09-13 23:17:42 EDT
libvidcap is now in Fedora. :)
Comment 5 Deji Akingunola 2009-03-06 22:08:59 EST
This package review is already duly blocked on iax review. However, I went ahead and did a koji scratch build of iax, install the binaries on x86-64 F10, and used that to locally build iaxclient. Some noted issues below;

i). Something seems to be hard-coding '-L/usr/lib' when making shared libs under ~/libs directory, resulting in stuff like;
>>
/usr/bin/ld: skipping incompatible /usr/lib/libm.so when searching for -lm
/usr/bin/ld: skipping incompatible /usr/lib/libm.a when searching for -lm
/usr/bin/ld: skipping incompatible /usr/lib/libpthread.so when searching for -lpthread
...
>>

ii). During the configure stage under ~/contrib/tcl, the build log shows;
>>
...
checking how to build libraries... shared
checking if 64bit support is requested... no
>>
From a quick look at the configure.in script, it was not obvious to me how to make that request. However the build still proceeded successfully to the end.

iii). rpmlint mostly O.K, with warnings on no documentation which can be ignored, but there are other warnings;
>>
[deji@logos ~]$ rpmlint rpmbuild/SRPMS/iaxclient-2.1-0.2.beta3.fc10.src.rpmiaxclient.src: W: strange-permission run-tkiaxphone.sh 0775
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[deji@logos ~]$ rpmlint rpmbuild/RPMS/x86_64/iaxclient-2.1-0.2.beta3.fc10.x86_64.rpm
iaxclient.x86_64: W: shared-lib-calls-exit /usr/lib64/libiaxclient.so.1.0.2 exit@GLIBC_2.2.5
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
>>
Comment 6 Deji Akingunola 2009-03-06 22:25:30 EST
Apparently configure (under contrib/tcl) can be passed '--enable-64bit' option in order to request 64bit support for the build.
Comment 7 Tom "spot" Callaway 2009-03-12 18:04:45 EDT
Okay, all that --enable-64bit does is try to pass additional CFLAGS, all of which are already covered in %{optflags}. It doesn't even work on any platform besides sparc64.

I think the /usr/lib might be coming from a iax-config.in file, so I fixed it to be correct.

New SRPM:
http://www.auroralinux.org/people/spot/review/coccinella/iaxclient-2.1-0.3.beta3.fc10.src.rpm
New SPEC: 
http://www.auroralinux.org/people/spot/review/coccinella/iaxclient.spec  

Koji F-11 Scratch Build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1238739
Comment 8 Deji Akingunola 2009-03-13 09:57:39 EDT
I can't download the *src.rpm file, I'm receiving '404 Not Found' error.
Comment 9 Tom "spot" Callaway 2009-03-13 10:00:20 EDT
http://auroralinux.org/people/spot/review/coccinella/iaxclient-2.1-0.3.beta3.fc11.src.rpm is the correct link, sorry.
Comment 10 Tom "spot" Callaway 2009-04-01 13:26:21 EDT
Ping?
Comment 11 Deji Akingunola 2009-04-02 23:45:15 EDT
I am sorry for the delay, I failed to notice you posted the correct link (drowned in a load of other mails at the time).

REVIEW:
- GOOD: package name according to guidelines
- GOOD: spec file named properly
- GOOD: license acceptable (LGPLv2+) and COPYING.LIB file shipped as documentation
- CHECK: Most of the source codes doesn't include and license header at all
- GOOD: the spec file is written in good English
- GOOD: the spec file is legible
- GOOD: download URL works
- GOOD: source tarball is the same as from
   md5sum: 47d54b9d5d48dc6aa1f6d7e506c72ba7  iaxclient-2.1beta3.tar.gz
- GOOD: builds in mock for x86_64/Rawhide
- GOOD: all build dependencies (currently available in Fedora) listed
- PASS: no locale files
- GOOD: post and postun scriplets properly called for the libraries shipped
- GOOD: all shipped files and directories owned by package
- GOOD: permissions on files are set properly
- GOOD: package has a %clean section
- GOOD: package uses macros consistently
- GOOD: the package contains code, not content
- PASS: no large documentation files
- GOOD: %doc doesn't affect runtime
- GOOD: header files properly shipped in -devel subpackage
- PASS: no static libraries
- GOOD: pkgconfig file properly shipped in -devel subpackage
- GOOD: no *.la libtool archives
- GOOD: desktop file is installed properly in %install
- GOOD: doesn't own files or directories owned by other packages
- GOOD: build root is cleaned at the beginning of %install
- PASS: Seems to consistently follow some tcl specific guidelines, which I cannot locate on the wiki

- CHECK: rpmlint warning on the iaxclient binary as in comment #5 is still there. Since its a warning and I'm not sure what it means, I'll let it pass.

APPROVED.
Comment 12 Tom "spot" Callaway 2009-04-06 17:07:34 EDT
New Package CVS Request
=======================
Package Name: iaxclient
Short Description: Library for creating telephony solutions that interoperate with Asterisk
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 13 Fedora Update System 2009-04-06 17:36:56 EDT
iaxclient-2.1-0.3.beta3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/iaxclient-2.1-0.3.beta3.fc9
Comment 14 Fedora Update System 2009-04-06 17:37:00 EDT
iaxclient-2.1-0.3.beta3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iaxclient-2.1-0.3.beta3.fc10
Comment 15 Fedora Update System 2009-04-07 11:48:05 EDT
iaxclient-2.1-0.3.beta3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-04-07 11:49:35 EDT
iaxclient-2.1-0.3.beta3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.